# David - 2.3.1-15mdk - Reminder: 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

 #David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions

# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true


%define _requires_exceptions devel\(linux-gate\)

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif

# laurent kde 2.2  - Define if we build with gphoto support
#                              0 = unsupported
#			       1 = supported
%define gphoto 1

%define use_enable_final 1

%define lib_name_orig kdegraphics
%define lib_major 0
%define lib_name %mklibname kdegraphics %lib_major


Name:		kdegraphics
Summary:	K Desktop Environment - Graphics
Version:    3.2.3
Release:    16mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     %name-%version.tar.bz2
Source1:	kghostviewrc

Source2:	kdegraphics-3.2-camera-16x16.png
Source3:	kdegraphics-3.2-camera-24x24.png
Source4:	kdegraphics-3.2-camera-32x32.png
Source5:	kdegraphics-3.2-camera-48x48.png
Source6:	kdegraphics-3.2-camera-64x64.png
Source7:	kdegraphics-3.2-cinecamera-128x128.png
Source8:	kdegraphics-3.2-cinecamera-16x16.png
Source9:	kdegraphics-3.2-cinecamera-24x24.png
Source10:	kdegraphics-3.2-cinecamera-32x32.png
Source11:	kdegraphics-3.2-cinecamera-48x48.png
Source12:	kdegraphics-3.2-cinecamera-64x64.png

Source20:	kdegraphics-3.2.3-config-kuickshowrc

Patch0:		kdegraphics-3.0-kamera-compile.patch.bz2
Patch1:		kdegraphics-3.0-kcolorchooser.patch.bz2
Patch3:		kdegraphics-3.0.3-fix-compile.patch.bz2

# Laurent - 3.1-rc6-2mdk fix multiple about widget
Patch6:		kdegraphics-3.1-fix-multiple-about-widget.patch.bz2

# patch for fix bug MDK 6612 and kde bugs 76132
Patch10:	kdegraphics-3.2.1-fix-76132.patch.bz2

#Remove it for kde3.3
Patch11:	kdegraphics-3.2.3-kghostview-disable-action.patch.bz2

# fix ksnapshot bug #63067
Patch12:	kdegraphics-3.2.3-ksnapshot-shortcut.patch.bz2

Patch13:	kdelibs-3.2-remove-rpath.patch.bz2

Patch14:	kdegraphics-3.2.3-ksnapshot-increase-number.patch.bz2

Patch15:	kdegraphics-3.2.3-fix-kpdf-81442.patch.bz2

Patch16:	kdegraphics-3.2.3-fix-init-kpdf.patch.bz2

Patch17:	kdegraphics-3.2.3-fix-kpdf-print-margin.patch.bz2

Patch18:	kdegraphics-3.2.3-fix-kpdf-version.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext  kdelibs3-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libgpio0-devel libintl1 libjpeg62-devel
BuildRequires:	liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:	libptal0-devel libqt3-devel libsane1-devel
BuildRequires:	libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:	m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:	texinfo zlib1 libimlib1-devel libexif-devel
%endif

%if %buildfor9_0 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel >= 3.2-13mdk libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libgpio0-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:  texinfo zlib1 libimlib1-devel 
BuildRequires:	libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif7-devel
%endif

%if %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel >= 3.2-13mdk libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0.9.7-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build
BuildRequires:  texinfo zlib1 libimlib1-devel 
BuildRequires:  libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif8-devel libieee1284-devel  libieee1284_3-devel libMesaglut3-devel
%endif

%if %mdkversion >= 920
BuildRequires:	jpeg-devel png-devel libimlib-devel libtiff-devel
BuildRequires:	zlib-devel bzip2-devel
BuildRequires:	gettext texinfo
BuildRequires:  kdelibs-devel >= 3.2-13mdk XFree86-devel freetype2-devel
BuildRequires:  openssl-devel libsane-devel libMesaglut-devel
%endif

%if %gphoto
BuildRequires:	gphoto2-devel
%endif

BuildRequires:	fribidi-devel

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %mdkversion >= 920
BuildRequires: automake1.7
%endif

Requires:	kdegraphics-ksnapshot = %epoch:%version-%release
Requires:	kdegraphics-common = %epoch:%version-%release
Requires:   kdegraphics-kuickshow = %epoch:%version-%release
Requires:	kdegraphics-kdvi = %epoch:%version-%release
Requires:	kdegraphics-kfax = %epoch:%version-%release
Requires:	kdegraphics-kghostview = %epoch:%version-%release   
Requires:	kdegraphics-kiconedit = %epoch:%version-%release   
Requires:	kdegraphics-kpaint = %epoch:%version-%release   
Requires:	kdegraphics-kpovmodeler = %epoch:%version-%release    
Requires:	kdegraphics-kruler = %epoch:%version-%release    
Requires:	kdegraphics-mrmlsearch = %epoch:%version-%release    
Requires:	fribidi

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications:

	- kamera: digital camera io_slave for Konqueror. Together gPhoto this 
			allows you to access your camera's picture with the URL kamera:/
	- kcoloredit: contains two programs: a color value editor and also 
			a color picker
	- kdvi: program (and embeddable KPart) to display *.DVI files from TeX
	- kfax: a program to display raw and tiffed fax images (g3, g3-2d, g4)
	- kfaxview: an embeddable KPart to display tiffed fax images
	- kfile-plugins: provide meta information for graphic files
	- kghostview: program (and embeddable KPart) to display *.PDF and *.PS
	- kiconedit: an icon editor
	- kooka: a raster image scan program, based on SANE and libkscan
	- kpaint: a simple pixel oriented image drawing program
	- kruler: a ruler in inch, centimeter and pixel to check distances 
	 		  on the screen
	- ksnapshot: make snapshots of the screen contents
	- kuickshow: fast and comfortable imageviewer
	- kview: picture viewer, provided as standalone program and embeddable KPart
	- kviewshell: generic framework for viewer applications

%package common
Summary:	Common files for kdegraphics
Group:		Graphical desktop/KDE	
%if %gphoto
Requires:   gphoto2 
%endif
Requires:   kdelibs 
Obsoletes:  kdegraphics3
Provides:   kdegraphics3 = %epoch:%version-%release

Obsoletes:  kdegraphics <= 3.1-9mdk
Provides:   kdegraphics = %epoch:%version-%release

Obsoletes:  kgamma
Provides:   kgamma = %epoch:%version-%release


%description common
Common files for kdegraphics


%package -n %lib_name-common
Summary:	Librairies files for kdegraphics
Group:		Graphical desktop/KDE

Obsoletes:	%lib_name
Provides:	%lib_name = %epoch:%version-%release


%description -n %lib_name-common
Librairies files for kdegraphics

%package mrmlsearch
Summary:	MRML is short for Multimedia Retrieval Markup Language.
Group:		Graphical desktop/KDE

Requires:	%lib_name-mrmlsearch = %epoch:%version-%release
Provides:	mrmlsearch
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description mrmlsearch
MRML is short for Multimedia Retrieval Markup Language,
which defines a protocol for querying a server for images
based on their content. See http://www.mrml.net about MRML
and the GNU Image Finding Tool (GIFT), an MRML server.

This package consists of an mrml kio-slave that handles
the communication with the MRML server and a KPart to
be embedded e.g. into Konqueror.

With those, you can search for images by giving an example
image and let the server look up similar images. The query
result can be refined by giving positive/negative feedback.

%package -n %lib_name-mrmlsearch
Summary:	Librairies files for mrmlsearch
Group:		Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	%lib_name_orig-mrmlsearch = %epoch:%version-%release


%description -n %lib_name-mrmlsearch
Librairies for mrmlsearch


%package -n %lib_name-common-devel
Summary:	Include files for kdegraphics
Group:		Development/KDE and Qt
Requires:		%lib_name-common = %epoch:%version-%release

Obsoletes:	kdegraphics-devel
Provides:	kdegraphics-devel = %epoch:%version-%release

Obsoletes:	%lib_name-devel
Provides:	%lib_name-devel = %epoch:%version-%release

Obsoletes:  kdegraphics3-devel
Provides:   kdegraphics3-devel = %epoch:%version-%release
Provides:	%lib_name_orig-common-devel = %epoch:%version-%release


%description -n %lib_name-common-devel
This package contains include files needed to build applications 
based on kdegraphic.


%package kooka
Summary:    Kooka is a raster image scan program for the KDE system.
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	gocr, sane
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	kooka
Provides:	scanner-gui

%description kooka
This package contains a raster image scan program, based on SANE and libkscan.

%package kdvi
Summary:    Kdvi is a DVI Viewer.
Group:      Graphical desktop/KDE
Provides:	kdvi
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:	kdegraphics <= 3.1-9.1mdk
Requires:	kdegraphics-common = %epoch:%version-%release
Requires:	tetex

%description kdvi
Kdvi package

%package kpaint
Summary:    Kpaint kcolorchooser kcoloredit package
Group:      Graphical desktop/KDE
Provides:	kpaint, kcolorchooser, kcoloredit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpaint
KPaint : a simple pixel oriented image drawing program.
kcoloredit : a color value editor and also 
Kcolorchooser : a color picker.

%package kfax
Summary:    Kfax package
Group:      Graphical desktop/KDE
Provides:	kfax
Requires:   %lib_name-common = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kfax
A program to display raw and tiffed fax images (g3, g3-2d, g4).



%package kruler
Summary:    Kruler package
Group:      Graphical desktop/KDE
Provides:	kruler
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen


%package kghostview
Summary:    Kghostview package
Group:      Graphical desktop/KDE
Provides:	kghostview
Requires:	ghostscript, ghostscript-module-X
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kghostview = %epoch:%version-%release

%description kghostview
A program (and embeddable KPart) to display *.PDF and *.PS

%package -n %lib_name-kghostview
Summary:    Librairie for kghostview 
Group:      Development/KDE and Qt
Provides:	%lib_name_orig-kghostview = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kghostview
Librairie for kghostview


%package -n %lib_name-kghostview-devel
Summary:    Devel for kghostview 
Group:      Development/KDE and Qt
Requires:	%lib_name-kghostview = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kghostview-devel
Librairie for kghostview


%package kpdf
Summary:    Kpdf package
Group:      Graphical desktop/KDE
Provides:	kpdf
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpdf
kpdf program

%package ksnapshot
Summary:    Ksnaphot package
Group:      Graphical desktop/KDE
Provides:	ksnapshot
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksnapshot
KSnapshot is intended to be an easy to use program for making
screenshots. I can be bound to the Print Screen key, as the program
takes a snapshot of the desktop on startup (before it displays it
window), so it's a simple way of of making snapshots.



%package kpovmodeler
Summary:    Kpovmodeler package
Group:      Graphical desktop/KDE
Provides:	kpovmodeler
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description kpovmodeler
Program to enter scenes for the 3D rendering engine PovRay.


%package -n %lib_name-kpovmodeler
Summary:    Librairie for kpovmodeler package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kpovmodeler
Librairy for kpovmodeler.

%package -n %lib_name-kpovmodeler-devel
Summary:    Devel for kpovmodeler package
Group:      Development/KDE and Qt
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description -n %lib_name-kpovmodeler-devel
Devel for kpovmodeler.



%package kiconedit
Summary:    Kiconedit package
Group:      Graphical desktop/KDE
Provides:	kiconedit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kiconedit
An icon editor.

%package kview
Summary:    Kview package
Group:      Graphical desktop/KDE
Provides:	kview
Requires:	%lib_name-kview = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kview
Kview is a  picture viewer, provided as standalone program and embeddable KPart

%package -n %lib_name-kview
Summary:    Librarie for Kview package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	%lib_name_orig-kview = %epoch:%version-%release


%description -n %lib_name-kview
Librairies for Kview package

%package -n %lib_name-kview-devel
Summary:    Devel file for Kview package
Group:      Development/KDE and Qt
Requires:	%lib_name-kview = %epoch:%version-%release
Provides:	%lib_name_orig-kview-devel = %epoch:%version-%release


%description -n %lib_name-kview-devel
Devel files for Kview package


%package kuickshow
Summary:    Kuickshow package
Group:      Graphical desktop/KDE
Requires:	%lib_name-kuickshow = %epoch:%version-%release
Provides:	kuickshow
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kuickshow
A fast and comfortable imageviewer.

%package -n %lib_name-kuickshow
Summary:    Librarie for Kuickshow package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	%lib_name_orig-kuickshow = %epoch:%version-%release


%description -n %lib_name-kuickshow
Librairies for Kuickshow package


%package -n %lib_name-kooka
Summary:    Librairie for Kooka 
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	%lib_name_orig-kooka = %epoch:%version-%release


%description  -n %lib_name-kooka
Librairie for Kooka 

%package -n %lib_name-kooka-devel
Summary:    Devel files for Kooka 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	%lib_name_orig-kooka-devel = %epoch:%version-%release


%description  -n %lib_name-kooka-devel
Devel files for Kooka 



%package ksvg
Summary:    Ksvg package
Group:      Graphical desktop/KDE
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	ksvg
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksvg
KSVG is a KDE implementation of the Scalable Vector Graphics Specifications.

%package -n %lib_name-ksvg
Summary:    Librairie for Ksvg
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	%lib_name_orig-ksvg = %epoch:%version-%release


%description  -n %lib_name-ksvg
Librairie for Ksvg

%package -n %lib_name-ksvg-devel
Summary:    Devel files for Ksvg 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	%lib_name_orig-ksvg-devel = %epoch:%version-%release


%description  -n %lib_name-ksvg-devel
Devel files for Ksvg



%prep
%setup -q 
%patch1 -p1
%patch3 -p1

%patch10 -p1 -b .fix_bug_6612

%patch11 -p1 -b .disable_kghostview_action

%patch12 -p1 -b .fix_ksnapshot_bug_63067

%patch13 -p1 -b .fix_remove_rpath

%patch14 -p1 -b .fix_increase_number

%patch15 -p1 -b .fix_kpdf_kde_bug_81442

%patch16 -p1 -b .fix_kpdf_init

%patch17 -p1 -b .fix_kpdf_print_margin

%patch18 -p1 -b .fix_kpdf_version

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%{?__cputoolize: %{__cputoolize} }
%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`"
\
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
					--enable-debug=full \
%else	
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
                    --enable-final \
%else
                    --disable-final \
%endif
                    --disable-static \
			--disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
%if %gphoto
			--with-kamera 
%else			
		    --without-kamera
%endif
%make



%install
rm -fr %buildroot

# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d %buildroot/%_datadir/config/
install -m 0644 %SOURCE1 %buildroot/%_datadir/config/kghostviewrc

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH

kdedesktop2mdkmenu.pl kdegraphics-kdvi Applications/Publishing %buildroot/%_datadir/applications/kde/kdvi.desktop %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics-kfax "Office/Communications/Fax" %buildroot/%_datadir/applications/kde/kfax.desktop %buildroot/%_menudir/kdegraphics-kfax
kdedesktop2mdkmenu.pl kdegraphics-kghostview Applications/Publishing %buildroot/%_datadir/applications/kde/kghostview.desktop %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applications/kde/kpaint.desktop %buildroot/%_menudir/kdegraphics-kpaint
kdedesktop2mdkmenu.pl kdegraphics-kview Multimedia/Graphics %buildroot/%_datadir/applications/kde/kview.desktop %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics-kooka Multimedia/Graphics %buildroot/%_datadir/applications/kde/kooka.desktop %buildroot/%_menudir/kdegraphics-kooka
kdedesktop2mdkmenu.pl kdegraphics-kpovmodeler Multimedia/Graphics %buildroot/%_datadir/applications/kde/kpovmodeler.desktop %buildroot/%_menudir/kdegraphics-kpovmodeler
kdedesktop2mdkmenu.pl kdegraphics-kuickshow Multimedia/Graphics %buildroot/%_datadir/applications/kde/kuickshow.desktop %buildroot/%_menudir/kdegraphics-kuickshow
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applications/kde/kcolorchooser.desktop %buildroot/%_menudir/kdegraphics-kcolorchooser
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applications/kde/kcoloredit.desktop %buildroot/%_menudir/kdegraphics-kcoloredit
kdedesktop2mdkmenu.pl kdegraphics-kiconedit Multimedia/Graphics %buildroot/%_datadir/applications/kde/kiconedit.desktop %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics-kruler Multimedia/Graphics %buildroot/%_datadir/applications/kde/kruler.desktop %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics-ksnapshot Multimedia/Graphics %buildroot/%_datadir/applications/kde/ksnapshot.desktop %buildroot/%_menudir/kdegraphics-ksnapshot
kdedesktop2mdkmenu.pl kdegraphics-kpdf Applications/Publishing %buildroot/%_datadir/applications/kde/kpdf.desktop %buildroot/%_menudir/kdegraphics-kpdf



%if %gphoto
kdedesktop2mdkmenu.pl kdegraphics-common Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/kamera.desktop %buildroot/%_menudir/kdegraphics-kamera kde
%endif


kdedesktop2mdkmenu.pl kdegraphics-kmrml Configuration/KDE/System %buildroot/%_datadir/applications/kde/kcmkmrml.desktop %buildroot/%_menudir/kdegraphics-kcmkmrml kde

kdedesktop2mdkmenu.pl kdegraphics-common Configuration/KDE/System %buildroot/%_datadir/applnk/.hidden/kgamma.desktop %buildroot/%_menudir/kdegraphics-kgamma kde

####./change-release <desktop file> <categorie> <where copy> <type of desktop (KDE/GNOME)>
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kcmkmrml.desktop Configuration-KDE-Security-mdk kde
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kcolorchooser.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kcoloredit.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kdvi.desktop  Publishing-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kfax.desktop  Communications-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kghostview.desktop  Publishing-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kiconedit.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kooka.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpaint.desktop Graphics-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpdf.desktop  Publishing-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpovmodeler.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kruler.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksnapshot.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kuickshow.desktop Graphics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kview.desktop Graphics-mdk 


# David - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview

# David - 3.1.3-32mdk - Dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Kooka \$devicename
Comment=Kooka
Exec=%_bindir/kooka
Terminal=false
Icon=scanner.png
Type=Application
EOF



install -m 0644 %SOURCE2 %buildroot/%_iconsdir/crystalsvg/16x16/devices/camera.png
#install -m 0644 %SOURCE3 %buildroot/%_iconsdir/crystalsvg/24x24/devices/camera.png
install -m 0644 %SOURCE4 %buildroot/%_iconsdir/crystalsvg/32x32/devices/camera.png
#install -m 0644 %SOURCE5 %buildroot/%_iconsdir/crystalsvg/48x48/devices/camera.png
#install -m 0644 %SOURCE6 %buildroot/%_iconsdir/crystalsvg/64x64/devices/camera.png
#install -m 0644 %SOURCE7 %buildroot/%_iconsdir/crystalsvg/128x128/devices/cinecamera.png
install -m 0644 %SOURCE8 %buildroot/%_iconsdir/crystalsvg/16x16/devices/cinecamera.png
#install -m 0644 %SOURCE9 %buildroot/%_iconsdir/crystalsvg/24x24/devices/cinecamera.png
install -m 0644 %SOURCE10 %buildroot/%_iconsdir/crystalsvg/32x32/devices/cinecamera.png
#install -m 0644 %SOURCE11 %buildroot/%_iconsdir/crystalsvg/48x48/devices/cinecamera.png
#install -m 0644 %SOURCE12 %buildroot/%_iconsdir/crystalsvg/64x64/devices/cinecamera.png

install -d -m 0775 %buildroot/%_datadir/config/
install -m 0644 %SOURCE20 %buildroot/%_datadir/config/kuickshowrc


%files

%post  common
%update_menus

%postun common
%clean_menus

%post -n %lib_name-common
%update_menus

%postun -n %lib_name-common
%clean_menus

%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig

%post -n %lib_name-kooka -p /sbin/ldconfig

%postun -n %lib_name-kooka -p /sbin/ldconfig

%post -n %lib_name-kuickshow -p /sbin/ldconfig

%postun -n %lib_name-kuickshow -p /sbin/ldconfig

%post -n %lib_name-mrmlsearch -p /sbin/ldconfig

%postun -n %lib_name-mrmlsearch -p /sbin/ldconfig

%postun -n %lib_name-ksvg -p /sbin/ldconfig

%post -n %lib_name-ksvg -p /sbin/ldconfig


%post mrmlsearch
%update_menus

%postun mrmlsearch
%clean_menus


%post kdvi
%update_menus

%postun kdvi
%clean_menus

%post kfax
%update_menus

%postun kfax
%clean_menus

%post kghostview
%update_menus

%postun kghostview
%clean_menus

%post kooka
%update_menus
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %launchers/%name.desktop 29

%postun kooka
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove scanner.gnome.dynamic %launchers/%name.desktop
fi

%post kpovmodeler
%update_menus

%postun kpovmodeler
%clean_menus

%post ksnapshot
%update_menus

%postun ksnapshot
%clean_menus

%post kruler
%update_menus

%postun kruler
%clean_menus

%post kiconedit
%update_menus

%postun kiconedit
%clean_menus


%post kuickshow
%update_menus

%postun kuickshow
%clean_menus

%post kpaint
%update_menus

%postun kpaint
%clean_menus

%post kview
%update_menus

%postun kview
%clean_menus

%post kpdf
%update_menus

%postun kpdf
%clean_menus



%post -n %lib_name-kview -p /sbin/ldconfig

%postun -n %lib_name-kview -p /sbin/ldconfig

%post -n  %lib_name-kghostview -p /sbin/ldconfig

%postun -n  %lib_name-kghostview -p /sbin/ldconfig



%post -n %lib_name-kpovmodeler -p /sbin/ldconfig

%postun -n %lib_name-kpovmodeler -p /sbin/ldconfig


%clean
rm -fr %buildroot


%files common
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
#
%_menudir/kdegraphics-kamera
%_menudir/kdegraphics-kgamma

%dir %_docdir/HTML/en/kamera/
%doc %_docdir/HTML/en/kamera/common
%doc %_docdir/HTML/en/kamera/*.docbook
%doc %_docdir/HTML/en/kamera/*.bz2


%_datadir/applnk/.hidden/kgamma.desktop

%dir %_datadir/apps/kgamma/
%dir %_datadir/apps/kgamma/pics/
%_datadir/apps/kgamma/pics/*.png

%dir %_docdir/HTML/en/kgamma/
%doc %_docdir/HTML/en/kgamma/common
%doc %_docdir/HTML/en/kgamma/*.docbook
%doc %_docdir/HTML/en/kgamma/*.bz2


%_bindir/kviewshell
%_bindir/xf86gammacfg


#

#
#  
%_libdir/kde3/kcm_kgamma.la
%_libdir/kde3/kcm_kgamma.so


%_libdir/kde3/kcm_kamera.la*
%_libdir/kde3/kfile_bmp.la*
%_libdir/kde3/kfile_ico.la*
%_libdir/kde3/kfile_jpeg.la*
%_libdir/kde3/kfile_pdf.la*
%_libdir/kde3/kfile_png.la*
%_libdir/kde3/kfile_ps.la*
%_libdir/kde3/kfile_tga.la*
%_libdir/kde3/kfile_tiff.la*
%_libdir/kde3/kfile_xbm.la*
%_libdir/kde3/kfile_dvi.la
%_libdir/kde3/kfile_dvi.so
%_libdir/kde3/kfile_pcx.la
%_libdir/kde3/kfile_pcx.so
%_libdir/kde3/kfile_pnm.so
%_libdir/kde3/kfile_pnm.la



%_libdir/kde3/kio_kamera.la*

%_libdir/kde3/kcm_kamera.so*
%_libdir/kde3/kfile_bmp.so*
%_libdir/kde3/kfile_ico.so*
%_libdir/kde3/kfile_jpeg.so*
%_libdir/kde3/kfile_pdf.so*
%_libdir/kde3/kfile_png.so*
%_libdir/kde3/kfile_ps.so*
%_libdir/kde3/kfile_tga.so*
%_libdir/kde3/kfile_tiff.so*
%_libdir/kde3/kfile_xbm.so*
%_libdir/kde3/kio_kamera.so*
%_libdir/kde3/kviewerpart.la
%_libdir/kde3/kviewerpart.so
#
#
#

#
#
#



#
%if %gphoto
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Peripherals/
%_datadir/applnk/Settings/Peripherals/*.desktop
%endif
#
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*.rc
#
#
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*.rc
#
#
#
%dir %_iconsdir/

%_iconsdir/hicolor/16x16/apps/kgamma.png
%_iconsdir/hicolor/32x32/apps/kgamma.png
%_iconsdir/hicolor/48x48/apps/kgamma.png


%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/camera.png
%_iconsdir/crystalsvg/16x16/apps/kviewshell.png



%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/camera_test.png
%_iconsdir/crystalsvg/16x16/actions/palette_color.png
%_iconsdir/crystalsvg/16x16/actions/palette_gray.png
%_iconsdir/crystalsvg/16x16/actions/palette_halftone.png
%_iconsdir/crystalsvg/16x16/actions/palette_lineart.png




%if %gphoto
%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png
%endif

#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/kviewshell.png
%if %gphoto
%dir %_iconsdir/crystalsvg/32x32/devices/
%_iconsdir/crystalsvg/32x32/devices/*.png
%dir %_iconsdir/crystalsvg/32x32/filesystems/
%_iconsdir/crystalsvg/32x32/filesystems/*.png
%endif
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/kviewshell.png
#
%_datadir/services/kfile_bmp.desktop
%_datadir/services/kfile_ico.desktop
%_datadir/services/kfile_jpeg.desktop
%_datadir/services/kfile_pdf.desktop
%_datadir/services/kfile_png.desktop
%_datadir/services/kfile_ps.desktop
%_datadir/services/kfile_tga.desktop
%_datadir/services/kfile_tiff.desktop
%_datadir/services/kfile_xbm.desktop

%_datadir/services/scanservice.desktop
%_datadir/services/kfile_dvi.desktop
%_datadir/services/kfile_pcx.desktop
%_datadir/services/kfile_pnm.desktop



%if %gphoto
%_datadir/services/kamera.protocol
%endif


%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkmultipage.la*  
#%_libdir/libkpagetest.la*   

%_libdir/libkmultipage.so.*




%files -n %lib_name-common-devel
%defattr(-,root,root)
%_includedir/*.h

%_libdir/libkmultipage.so

%files kpdf
%defattr(-,root,root)
%_bindir/kpdf
%dir %_datadir/apps/kpdf/
%_datadir/apps/kpdf/*.rc
%dir %_datadir/apps/kpdfpart/
%_datadir/apps/kpdfpart/*.rc
%_datadir/services/kpdf_part.desktop

%_menudir/kdegraphics-kpdf

%_libdir/kde3/libkpdfpart.la
%_libdir/kde3/libkpdfpart.so

%_iconsdir/hicolor/16x16/apps/kpdf.png
%_iconsdir/hicolor/32x32/apps/kpdf.png
%_iconsdir/hicolor/48x48/apps/kpdf.png

%dir %_docdir/HTML/en/kpdf/
%doc %_docdir/HTML/en/kpdf/*.bz2
%doc %_docdir/HTML/en/kpdf/*.docbook
%doc %_docdir/HTML/en/kpdf/common

%_datadir/applications/kde/kpdf.desktop           



%files ksvg
%defattr(-,root,root)
%_bindir/svgdisplay
%_bindir/printnodetest
	  

%_libdir/kde3/libksvgplugin.la
%_libdir/kde3/libksvgplugin.so
%_libdir/kde3/libksvgrendererlibart.la
%_libdir/kde3/libksvgrendererlibart.so
%_libdir/kde3/svgthumbnail.la
%_libdir/kde3/svgthumbnail.so

%_datadir/servicetypes/ksvgrenderer.desktop
%_datadir/services/kviewviewer.desktop
%_datadir/services/svgthumbnail.desktop
%_datadir/services/ksvglibartcanvas.desktop
%_datadir/services/ksvgplugin.desktop

%dir %_datadir/apps/ksvg/
%_datadir/apps/ksvg/ksvgplugin.rc


%files -n %lib_name-ksvg
%defattr(-,root,root)
%_libdir/libksvg.la
%_libdir/libksvg.so.*
%_libdir/libtext2path.la
%_libdir/libtext2path.so.*


%files -n %lib_name-ksvg-devel
%defattr(-,root,root)
%_libdir/libksvg.so
%_libdir/libtext2path.so



%dir %_includedir/dom/
%_includedir/dom/*.h

%dir %_includedir/ksvg/
%_includedir/ksvg/*.h

%dir %_includedir/libtext2path-0.1/
%_includedir/libtext2path-0.1/*.h


%files kview
%defattr(-,root,root)
%dir %_docdir/HTML/en/kview/
%doc %_docdir/HTML/en/kview/common
%doc %_docdir/HTML/en/kview/*.docbook
%doc %_docdir/HTML/en/kview/*.png
%doc %_docdir/HTML/en/kview/*.bz2
%_bindir/kview

%_menudir/kdegraphics-kview

%_datadir/applications/kde/kview.desktop           

%_libdir/kde3/kview.la
%_libdir/kde3/kview.so

%_libdir/kde3/kview_effectsplugin.la
%_libdir/kde3/kview_effectsplugin.so
%_libdir/kde3/kcm_kview*.la
%_libdir/kde3/kcm_kview*.so


%dir %_datadir/services/kconfiguredialog/
%_datadir/services/kconfiguredialog/kviewcanvasconfig.desktop
%_datadir/services/kconfiguredialog/kviewgeneralconfig.desktop
%_datadir/services/kconfiguredialog/kviewpluginsconfig.desktop
%_datadir/services/kconfiguredialog/kviewpresenterconfig.desktop
%_datadir/services/kconfiguredialog/kviewviewerpluginsconfig.desktop


%dir %_datadir/apps/kview/
%_datadir/apps/kview/*.rc
%_datadir/apps/kview/*.setdlg
%dir %_datadir/apps/kview/kpartplugins/
%_datadir/apps/kview/kpartplugins/*.rc
%_datadir/apps/kview/kpartplugins/*.desktop

%_datadir/services/kviewcanvas.desktop

%_datadir/servicetypes/kimageviewercanvas.desktop
%_datadir/servicetypes/kimageviewer.desktop

%dir %_datadir/apps/kviewviewer/
%_datadir/apps/kviewviewer/*.rc

%dir %_datadir/apps/kviewviewer/kpartplugins/
%_datadir/apps/kviewviewer/kpartplugins/*.rc
%_datadir/apps/kviewviewer/kpartplugins/*.desktop

%_iconsdir/crystalsvg/16x16/apps/kview.png
%_iconsdir/crystalsvg/32x32/apps/kview.png
%_iconsdir/crystalsvg/48x48/apps/kview.png

%_libdir/kde3/kview_browserplugin.la
%_libdir/kde3/kview_browserplugin.so
%_libdir/kde3/kview_presenterplugin.la
%_libdir/kde3/kview_presenterplugin.so
%_libdir/kde3/kview_scannerplugin.la
%_libdir/kde3/kview_scannerplugin.so
%_libdir/kde3/libkviewcanvas.la
%_libdir/kde3/libkviewcanvas.so
%_libdir/kde3/libkviewviewer.la
%_libdir/kde3/libkviewviewer.so

%files -n %lib_name-kview
%defattr(-,root,root)
%_libdir/libkdeinit_kview.la*      
%_libdir/libkdeinit_kview.so                
%_libdir/libkimageviewer.so.*
%_libdir/libkimageviewer.la


%files -n %lib_name-kview-devel
%defattr(-,root,root)
%_libdir/libkimageviewer.so


%files mrmlsearch
%defattr(-,root,root)
%_bindir/mrmlsearch
%_libdir/kde3/kcm_kmrml.la
%_libdir/kde3/kio_mrml.la
%_libdir/kde3/libkmrmlpart.la
%_libdir/kde3/kcm_kmrml.so
%_libdir/kde3/kio_mrml.so
%_libdir/kde3/libkmrmlpart.so
%_libdir/kde3/kded_daemonwatcher.so
%_libdir/kde3/kded_daemonwatcher.la

%_datadir/applications/kde/kcmkmrml.desktop
%_menudir/kdegraphics-kcmkmrml

%_datadir/services/mrml.protocol
%_datadir/services/mrml_part.desktop
%_datadir/services/kded/daemonwatcher.desktop

%_datadir/apps/konqueror/servicemenus/mrml-servicemenu.desktop

%_datadir/mimelnk/text/mrml.desktop

%_libdir/kde3/mrmlsearch.la
%_libdir/kde3/mrmlsearch.so

%files -n %lib_name-mrmlsearch
%defattr(-,root,root)
%_libdir/libkdeinit_mrmlsearch.la
%_libdir/libkdeinit_mrmlsearch.so


%files kfax
%defattr(-,root,root)
%_bindir/kfax        
%_libdir/kde3/kfaxpart.la
%_libdir/kde3/kfaxpart.so

%_menudir/kdegraphics-kfax

%_datadir/applications/kde/kfax.desktop           

%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*.rc
#
%dir %_datadir/apps/kfax/pics/
%_datadir/apps/kfax/pics/*.tif
%_datadir/apps/kfax/pics/*.xpm
#
%_iconsdir/crystalsvg/16x16/apps/kfax.png
%_iconsdir/crystalsvg/32x32/apps/kfax.png
%_iconsdir/crystalsvg/48x48/apps/kfax.png

%files kpaint
%defattr(-,root,root)
%dir %_docdir/HTML/en/kcoloredit/
%doc %_docdir/HTML/en/kcoloredit/common
%doc %_docdir/HTML/en/kcoloredit/*.docbook
%doc %_docdir/HTML/en/kcoloredit/*.bz2
#
%dir %_datadir/apps/kcoloredit
%_datadir/apps/kcoloredit/*.rc
%dir %_datadir/apps/kpaint/
%_datadir/apps/kpaint/*.rc

%dir %_datadir/apps/kpaint/toolbar/
%_datadir/apps/kpaint/toolbar/*.png

##
#
%dir %_docdir/HTML/en/kpaint/
%doc %_docdir/HTML/en/kpaint/common
%doc %_docdir/HTML/en/kpaint/*.docbook
%doc %_docdir/HTML/en/kpaint/*.bz2

%_menudir/kdegraphics-kcolorchooser
%_menudir/kdegraphics-kcoloredit
%_menudir/kdegraphics-kpaint

%_bindir/kcolorchooser  
%_bindir/kcoloredit     
%_bindir/kpaint       

%_datadir/applications/kde/kcolorchooser.desktop  
%_datadir/applications/kde/kcoloredit.desktop     
%_datadir/applications/kde/kpaint.desktop       



%_iconsdir/crystalsvg/16x16/apps/kcoloredit.png
%_iconsdir/crystalsvg/32x32/apps/kcoloredit.png

%_iconsdir/locolor/16x16/apps/kcoloredit.png
%_iconsdir/locolor/32x32/apps/kcoloredit.png


%_iconsdir/crystalsvg/16x16/apps/kcolorchooser.png
%_iconsdir/crystalsvg/22x22/apps/kcolorchooser.png


%_iconsdir/crystalsvg/16x16/apps/kpaint.png
%_iconsdir/crystalsvg/32x32/apps/kpaint.png
%_iconsdir/crystalsvg/48x48/apps/kpaint.png

%files kuickshow
%defattr(-,root,root)
#
%dir %_docdir/HTML/en/kuickshow/
%doc %_docdir/HTML/en/kuickshow/common
%doc %_docdir/HTML/en/kuickshow/*.docbook
%doc %_docdir/HTML/en/kuickshow/*.bz2
%doc %_docdir/HTML/en/kuickshow/*.png
#
%_bindir/kuickshow  
%_datadir/applications/kde/kuickshow.desktop

%_menudir/kdegraphics-kuickshow

%dir %_datadir/apps/kuickshow/
%_datadir/apps/kuickshow/*.pal
#
%dir %_datadir/apps/kuickshow/pics/
%_datadir/apps/kuickshow/pics/*.png
%_datadir/apps/kuickshow/pics/*.jpg

%_iconsdir/crystalsvg/16x16/apps/kuickshow.png
%_iconsdir/crystalsvg/32x32/apps/kuickshow.png

%_iconsdir/locolor/16x16/apps/kuickshow.png
%_iconsdir/locolor/32x32/apps/kuickshow.png

%config(noreplace) %_datadir/config/kuickshowrc


%files -n %lib_name-kuickshow
%defattr(-,root,root)
%_libdir/kde3/kuickshow.la*  
%_libdir/kde3/kuickshow.so*            

%_libdir/libkdeinit_kuickshow.la
%_libdir/libkdeinit_kuickshow.so


%files kiconedit
%defattr(-,root,root)
%dir %_docdir/HTML/en/kiconedit/
%doc %_docdir/HTML/en/kiconedit/common
%doc %_docdir/HTML/en/kiconedit/*.docbook
%doc %_docdir/HTML/en/kiconedit/*.bz2

%_menudir/kdegraphics-kiconedit

%_datadir/apps/kiconedit/kiconeditui.rc


%_bindir/kiconedit   
#
%dir %_datadir/apps/kiconedit/
%dir %_datadir/apps/kiconedit/pics/
%_datadir/apps/kiconedit/pics/*.png
#
%dir %_datadir/apps/kiconedit/toolbar/
%_datadir/apps/kiconedit/toolbar/*.png
%_datadir/apps/kiconedit/toolbar/*.xpm
#
%_datadir/applications/kde/kiconedit.desktop    

%_iconsdir/crystalsvg/16x16/apps/kiconedit.png
%_iconsdir/crystalsvg/32x32/apps/kiconedit.png
%_iconsdir/crystalsvg/48x48/apps/kiconedit.png

%files ksnapshot
%defattr(-,root,root)
%dir %_docdir/HTML/en/ksnapshot/
%doc %_docdir/HTML/en/ksnapshot/common
%doc %_docdir/HTML/en/ksnapshot/*.docbook
%doc %_docdir/HTML/en/ksnapshot/*.png
%doc %_docdir/HTML/en/ksnapshot/*.bz2
%_bindir/ksnapshot  
%_datadir/applications/kde/ksnapshot.desktop

%_menudir/kdegraphics-ksnapshot

%_iconsdir/crystalsvg/16x16/apps/ksnapshot.png
%_iconsdir/crystalsvg/32x32/apps/ksnapshot.png
%_iconsdir/crystalsvg/48x48/apps/ksnapshot.png

%files kruler
%defattr(-,root,root)
%dir %_docdir/HTML/en/kruler/
%doc %_docdir/HTML/en/kruler/common
%doc %_docdir/HTML/en/kruler/*.docbook
%doc %_docdir/HTML/en/kruler/*.bz2
%_bindir/kruler  
%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/kruler.desktop


%_menudir/kdegraphics-kruler

%_datadir/applications/kde/kruler.desktop           


%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/eventsrc
%dir %_datadir/apps/kruler/sounds/
%_datadir/apps/kruler/sounds/*.wav

%dir %_datadir/apps/kruler/pics/
%_datadir/apps/kruler/pics/*.png

%_iconsdir/crystalsvg/16x16/apps/kruler.png
%_iconsdir/crystalsvg/32x32/apps/kruler.png
%_iconsdir/crystalsvg/48x48/apps/kruler.png


%files kpovmodeler
%defattr(-,root,root)
%dir %_docdir/HTML/en/kpovmodeler/
%doc %_docdir/HTML/en/kpovmodeler/common
%doc %_docdir/HTML/en/kpovmodeler/*.docbook
%doc %_docdir/HTML/en/kpovmodeler/*.bz2
%doc %_docdir/HTML/en/kpovmodeler/*.png

%_libdir/kde3/libkpovmodelerpart.la*
%_libdir/kde3/libkpovmodelerpart.so*

%_menudir/kdegraphics-kpovmodeler

%_bindir/kpovmodeler  
%dir %_datadir/apps/kpovmodeler/
%_datadir/apps/kpovmodeler/*
%_datadir/applications/kde/kpovmodeler.desktop


%_iconsdir/crystalsvg/16x16/apps/kpovmodeler.png
%_iconsdir/crystalsvg/16x16/mimetypes/kpovmodeler_doc.png
%_iconsdir/crystalsvg/32x32/apps/kpovmodeler.png
%_iconsdir/crystalsvg/32x32/mimetypes/kpovmodeler_doc.png

%_iconsdir/locolor/16x16/apps/kpovmodeler.png
%_iconsdir/locolor/32x32/apps/kpovmodeler.png

%files -n %lib_name-kpovmodeler
%defattr(-,root,root)
%_libdir/libkpovmodeler.la
%_libdir/libkpovmodeler.so.*

%files -n %lib_name-kpovmodeler-devel
%defattr(-,root,root)
%_libdir/libkpovmodeler.so



%files -n %lib_name-kghostview-devel
%defattr(-,root,root)
%_libdir/libkghostviewlib.so

%files -n %lib_name-kghostview
%defattr(-,root,root)
%_libdir/libkghostviewlib.la
%_libdir/libkghostviewlib.so.0
%_libdir/libkghostviewlib.so.0.0.0


%files kghostview
%defattr(-,root,root)
%dir %_docdir/HTML/en/kghostview/
%doc %_docdir/HTML/en/kghostview/common
%doc %_docdir/HTML/en/kghostview/*.docbook
%doc %_docdir/HTML/en/kghostview/*.bz2
%_libdir/kde3/libkghostviewpart.so*

%_libdir/kde3/libkghostviewpart.la*



%_menudir/kdegraphics-kghostview

%_bindir/kghostview  
%_datadir/applications/kde/kghostview.desktop   

%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*.rc
%_datadir/apps/kghostview/*.ps

%_iconsdir/crystalsvg/16x16/apps/kghostview.png
%_iconsdir/crystalsvg/32x32/apps/kghostview.png
%_iconsdir/crystalsvg/48x48/apps/kghostview.png
%_iconsdir/crystalsvg/64x64/apps/kghostview.png
%_iconsdir/crystalsvg/128x128/apps/kghostview.png

#todo fix me config for kghostview...
%_datadir/config/kghostviewrc

%files kdvi
%defattr(-,root,root)
%dir %_docdir/HTML/en/kdvi/
%doc %_docdir/HTML/en/kdvi/common
%doc %_docdir/HTML/en/kdvi/*.docbook
%doc %_docdir/HTML/en/kdvi/*.dvi
%doc %_docdir/HTML/en/kdvi/*.png
%doc %_docdir/HTML/en/kdvi/*.ps
%doc %_docdir/HTML/en/kdvi/*.tex
%doc %_docdir/HTML/en/kdvi/*.bz2
%doc %_docdir/HTML/en/kdvi/*.sty
%doc %_docdir/HTML/en/kdvi/*.el
%_libdir/kde3/kdvipart.la*
%_libdir/kde3/kdvipart.so*

%_menudir/kdegraphics-kdvi

%_bindir/kdvi           
%_datadir/applications/kde/kdvi.desktop           

%dir %_datadir/apps/
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*.rc
%_datadir/apps/kdvi/tips
#
%dir %_datadir/apps/kdvi/toolbar/
%_datadir/apps/kdvi/toolbar/*.xpm

%_iconsdir/crystalsvg/16x16/apps/kdvi.png
%_iconsdir/crystalsvg/32x32/apps/kdvi.png
%_iconsdir/crystalsvg/48x48/apps/kdvi.png

%files kooka
%defattr(-,root,root)
%dir %_docdir/HTML/en/kooka/
%doc %_docdir/HTML/en/kooka/common
%doc %_docdir/HTML/en/kooka/*.docbook
%doc %_docdir/HTML/en/kooka/*.png
%doc %_docdir/HTML/en/kooka/*.bz2

%_menudir/kdegraphics-kooka

%dir %_datadir/apps/kooka
%_datadir/apps/kooka/*.rc
#
%dir %_datadir/apps/kooka/pics/
%_datadir/apps/kooka/pics/*.png

%_datadir/config/kookarc
%_bindir/kooka


%_datadir/applications/kde/kooka.desktop

%config(noreplace) %launchers/%name.desktop



%files -n %lib_name-kooka
%defattr(-,root,root)
%_libdir/libkscan.so.*

%_libdir/libkscan.la

%files -n %lib_name-kooka-devel
%defattr(-,root,root)
%_libdir/libkscan.so

%changelog
* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Add patch18: fix kpdf version
- Remove debug

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- Use devicename

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Add patch17: fix kpdf print margins

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch16: fix kpdf init "m_currentPage before opening a document 
								is 0, this way the goToPage if is
 	true when going to the first page and updateActions is triggered"

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch15: fix kde bug #81442, #83590

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Fix config for kuickshow "don't re-open last dir"

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add default config for kuickshow

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Add patch14: fix bug found by David Baudens (after 005.png create 006.png and not 6.png)

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix remove rpath

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Sync with CVS

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Rebuild

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Sync with CVS

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch12: fix ksnapshot bug #63067

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add patch11: disable kghostview action

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild with debug

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild against qt3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Add patch10: fix bugs #6612

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-16mdk
- Use %%configure
- Use mdkversion
- Support for MDK 10.1

* Tue Mar 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Add icons for camera

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Add patch9: fix kamera (bug reported by Arnaud)
- Fix update menu on common and not lib_name-common
- Add provides scanner-gui for kooka

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Fix group
- Add patch8: fix kfile ps plugins "check return value of scanData"
- Fix requires

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Fix spec file

* Wed Feb 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix kghostview

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix kdvi crash 

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix crash into kpdf/kfax

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix kdvi)

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Sync with CVS (fix ksvg crash/kviewshell)
- Fix distlint 
- Build with good kdedesktop2mdkmenu.pl

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Fix menu entry

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix kdvi)
- Requires tetex for kdvi

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS (fix kghostview)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change release number

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Fix menu entries

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-14mdk
- Add patch17: fix 72864 patch from Andy Neitzke <neitzke@fas.harvard.edu> (backported to kde_3_2_branch)

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Fix requires : kdvi require kviewshell which is into kdegraphics-common
- Fix epoch for rpm 4.2.2
- Sync with CVS

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Sync with cVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Wed Dec 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Fix description

* Tue Dec 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Add requires on sane for kooka otherwise we can select a scanner

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2 from CVS
- Fix group

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-10mdk
- Sync with CVS

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Fri Nov 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Obsolete kgamma
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix menu


* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-21mdk
- Sync with CVS

* Fri Oct 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-20mdk
- Sync with CVS

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-19mdk
- Sync with CVS 

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-18mdk
- Sync with CVS

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-17mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-16mdk
- Sync with CVS 

* Wed Oct 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-15mdk
- Sync with CVS

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-14mdk
- Sync with CVS 

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-13mdk
- Sync with CVS

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-12mdk
- Sync with CVS

* Thu Oct 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-11mdk
- Update from CVS

* Tue Oct 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Update from CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Update

* Mon Sep 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Update code

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Enable-final

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Update code from CVS 

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Fix kpdf

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- 3.1.92

* Mon Sep 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-3mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add debug
- Fix menu
- fix support for MDK9.3

* Wed Sep 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Tue Sep 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-35mdk
- Fix requires on ghostscript-module-X (thanks Pixel)

* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-34mdk
- Fix requires on libsane1-devel

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-33mdk
- Add support for dynamic

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-32mdk
- Fix upgrade with 9.1

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-31mdk
- Fix patch11: fix kooka shortcut conflict

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-30mdk
- Fix patch9: show all icons in toolbar

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-29mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-28mdk
- Fix spec file

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-27mdk
- Fix spec file

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-26mdk
- Add patch10 fix #61934

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-25mdk
- Apply gb patch (thanks)

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-24mdk
- Update code (fix kiconedit)

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-23mdk
- Fix requires

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Split kview

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix description

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix require

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Fix requires/Provides

* Fri Aug 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix mem leak (QToolTips was not removed)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Update code (fix crash in kghostview)

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix requires

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Rebuild with libexif9

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Add provides

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Minor spec clean

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Update code

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Rebuild

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix update menu

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix requires
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix buildRequires
- __cputoolize

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix provides (thanks fpons)

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix Obsoletes/Provides 

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Tue Jun 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Update code

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Reapply patch
- Add patch10: fix kghostview display "modify shortcut" entry


* Tue Jun 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch8: allow to change shortcut in kfax
- Add patch9: allow to change shortcut in kghostview

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch7: add shortcut in keditcolor

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Apr 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Update code from kde3.1.1 branch

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Add buildrequires missing reported by Vincent Danen <vdanen@mandrakesoft.com>

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with kde3.1 branch

* Tue Apr 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Minor fix

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Resync with kde_3_1_branch

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Mar 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Split kooka

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch7 : fix from kde3.1:
=> kiconedit "Backport circle/ellipse tool fix."
=> kpovmodeler :"Fixed the insert rules for patterned textures"

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix kuickshow

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kuickshow bug )

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix kdvi

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kooka, kdvi bugs

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kview

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Rebuild

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Reactivate patch5

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Remove debug

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove require libgpio0 

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Remove requires on gpio-devel

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch " Make it lib64 aware"

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch6 : fix multiple about widget

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Add patch5 : fix crash when we change config

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Remove tetex as buildrequire 

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch4 : fix crash in kmrml

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reapply patch1-3
- Remove unused patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Sep 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Ad Patch11 : fix konqueror crash in kfile_plugins png

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Patch10 : Fix kcontrol->kamera crash

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Require gv

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch9 : fix kfax mem leak

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Update code from kde_3_0_branch fix kfile_png

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch8 : fix second kooka mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch7 : fix kooka mem leak

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch6 : fix assert in kcontrol->kamera

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch5 : fix configure kghostview
- Add Source1 : default kghostview config file.

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kioslave/kamera 

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3
- Add patch3 fix compile

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debug
- Fix build requires

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Rebuild

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild with gphoto2 support

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update from KDE_3_0_BRANCH
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Rebuild

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- rebuild

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix build requires

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegraphics

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.5mdk
- Fix buildrequires for 8.3
- Reactivate gphoto

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.2
- Readd kooka

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1
- Re-create devel package
- Fix and clean %%files sections

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix requires

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

